+================================================
+                                                
+ Vectric machine output configuration file For LASER Control 
+                                                
+================================================
+ History                                        
+                                                
+ Who      When       What                         
+ ======== ========== ===========================
+ Graham  7/8/2017    Original version
+ Graham  2/7/2019    Edited, minor modifications
+================================================

+ NOTES:
+ Controls LASER Power ON/OFF without by direct controller port switching
+ Instead of M10 and M11 that do not work with some USB Controllers
+ Instead this PostProcessor Uses M101 and M201 Macros that directly switch port#1 to switch the Laser ON/OFF
+ Configure Spindle to be on Output #1 - Pin#? = Laser Control ON/OFF
+ Place Macros M101 and M201 into Mac3 Macro Folder for whatever Profile you are using
+ eg mach3/macros/mach3-laser
+ Macro file names:
+ M101.M1s turns Output #1 ON "ActivateSignal(Output1)"
+ M201.M1s turns Output #1 Off "DeactivateSignal(Output1)"
+ For my system I also use the following Port#3 to switch my Fume Extraction & Air Assist On/Off
+ M104 turns Output #3 ON (Air Assist/Vacume)
+ M204 turns Output #3 OFF (Air Assist/Vacume)
+================================================
 
POST_NAME = "Mach3 Laser M101 mm (*.txt)"
 
FILE_EXTENSION = "txt"
 
UNITS = "MM"

SUBSTITUTE = "({)}"

+------------------------------------------------
+    Line terminating characters                 
+------------------------------------------------
 
LINE_ENDING = "[13][10]"
 
+------------------------------------------------
+    Block numbering                             
+------------------------------------------------
 
LINE_NUMBER_START     = 0
LINE_NUMBER_INCREMENT = 10
LINE_NUMBER_MAXIMUM = 999999
 
+================================================
+                                                
+    Formating for variables                     
+                                                
+================================================
 
VAR LINE_NUMBER = [N|A|N|1.0]
VAR SPINDLE_SPEED = [S|A|S|1.0]
VAR FEED_RATE = [F|C|F|1.1]
VAR X_POSITION = [X|A|X|1.3]
VAR Y_POSITION = [Y|A|Y|1.3]
VAR ARC_CENTRE_I_INC_POSITION = [I|A|I|1.3]
VAR ARC_CENTRE_J_INC_POSITION = [J|A|J|1.3]
VAR X_HOME_POSITION = [XH|A|X|1.3]
VAR Y_HOME_POSITION = [YH|A|Y|1.3]
VAR DWELL_TIME = [DWELL|A|P|1.2]
 
+================================================
+                                                
+    Block definitions for toolpath output       
+                                                
+================================================
 
+---------------------------------------------------
+  Commands output at the start of the file
+---------------------------------------------------
 
begin HEADER
+ M101 turns Output #1 ON (Laser)
+ M201 turns Output #1 OFF (Laser)
+ M104 turns Output #3 ON (Air Assist/Vacume)
+ M204 turns Output #3 OFF (Air Assist/Vacume)

"M201"
"M204"
"T1"
"G17"
"G21"
"G64"
"G0Z0"
"G0[XH][YH]"
"M104"
"G71G91.1"
"[XH][YH]"

"[S]"
 
+---------------------------------------------------
+  Commands output for rapid moves 
+---------------------------------------------------
 
begin RAPID_MOVE
 
"G00[X][Y]M201"
 
+---------------------------------------------------
+  Commands output for the first feed rate move
+---------------------------------------------------
 
begin FIRST_FEED_MOVE
+ M101 turns Output #1 LASER ON

"G1[X][Y][F]M101"
 
+---------------------------------------------------
+  Commands output for feed rate moves
+---------------------------------------------------
 
begin FEED_MOVE
 
"G1[X][Y]"
 
+---------------------------------------------------
+  Commands output for the first clockwise arc move
+---------------------------------------------------

begin FIRST_CW_ARC_MOVE

"G2[X][Y][I][J]"
 
+---------------------------------------------------
+  Commands output for clockwise arc  move
+---------------------------------------------------
 
begin CW_ARC_MOVE
 
"G2[X][Y][I][J]"
 
+---------------------------------------------------
+  Commands output for the first counterclockwise arc move
+---------------------------------------------------
 
begin FIRST_CCW_ARC_MOVE
 
"G3[X][Y][I][J][F]"
 
+---------------------------------------------------
+  Commands output for counterclockwise arc  move
+---------------------------------------------------
 
begin CCW_ARC_MOVE
 
"G3[X][Y][I][J]"
 
+---------------------------------------------------
+  Commands output for a new segment - toolpath
+  with same toolnumber but maybe different feedrates
+---------------------------------------------------

begin NEW_SEGMENT
+ M101 turns Output #1 ON

"[S]M101"

+---------------------------------------------
+  Commands output for a dwell move
+---------------------------------------------

begin DWELL_MOVE

"G04 [DWELL]"

+ ---------------------------------------------------
+  Commands output for Retract Moves
+ ---------------------------------------------------
begin RETRACT_MOVE
+ M201 turns Output #1 OFF

"M201"
"G4 P0"

+---------------------------------------------------
+  Commands output at the end of the file
+---------------------------------------------------
 
begin FOOTER
+ M201 turns Output #1 OFF (Laser)
"M201"
+ M204 turns Output #3 OFF (Vacume/Air Assist)
"M204"
"G0[XH][YH]M30"
