+================================================
+                                                
+ Vectric machine output configuration file For LASER Control 
+                                                
+================================================
+ NOTES:
+ Controls LASER Power ON/OFF without delay
+ Use instead of M10 and M11 that dont work with USB Controller
+ M101 and M201 Macros:
+ Configure Spindle to be on Output #1 - Pin#? = Laser Laser Control ON/OFF
+ Place Macros M101 and M201 into Mac3 Macro Folder for whatever Profile you are using
+ eg mach3/macros/mach3-laser
+ M101.M1s turns Output #1 ON "ActivateSignal(Output1)"
+ M201.M1s turns Output #1 Off "DeactivateSignal(Output1)"
+================================================
 
POST_NAME = "Mach3 Laser mm (*.txt)"
 
FILE_EXTENSION = "txt"
 
UNITS = "MM"
 
+------------------------------------------------
+    Line terminating characters                 
+------------------------------------------------
 
LINE_ENDING = "[13][10]"
 
+------------------------------------------------
+    Block numbering                             
+------------------------------------------------
 
LINE_NUMBER_START     = 0
LINE_NUMBER_INCREMENT = 10
LINE_NUMBER_MAXIMUM = 999999
 
+================================================
+                                                
+    Formating for variables                     
+                                                
+================================================
 
VAR LINE_NUMBER = [N|A|N|1.0]
VAR SPINDLE_SPEED = [S|A|S|1.0]
VAR FEED_RATE = [F|C|F|1.1]
VAR X_POSITION = [X|C|X|1.4]
VAR Y_POSITION = [Y|C|Y|1.4]
+VAR Z_POSITION = [Z|C|Z|1.4]
VAR ARC_CENTRE_I_INC_POSITION = [I|A|I|1.4]
VAR ARC_CENTRE_J_INC_POSITION = [J|A|J|1.4]
VAR X_HOME_POSITION = [XH|A|X|1.4]
VAR Y_HOME_POSITION = [YH|A|Y|1.4]
 
+================================================
+                                                
+    Block definitions for toolpath output       
+                                                
+================================================
 
+---------------------------------------------------
+  Commands output at the start of the file
+---------------------------------------------------
 
begin HEADER
+ M101 turns Output #1 ON (Laser)
+ M201 turns Output #1 OFF (Laser)
+ M104 turns Output #3 ON (Vacume)
+ M204 turns Output #3 OFF (Vacume)

"M201"
"M204"
"T1"
"G17"
"G21"
"G64"
"G0Z0"
"G0[XH][YH]"
"M104"
 
 
+---------------------------------------------------
+  Commands output for rapid moves 
+---------------------------------------------------
 
begin RAPID_MOVE
 
"G0[X][Y]"
 
 
+---------------------------------------------------
+  Commands output for the first feed rate move
+---------------------------------------------------
 
begin FIRST_FEED_MOVE
+ M101 turns Output #1 LASER ON

"G1[X][Y][F]M101"
 
 
+---------------------------------------------------
+  Commands output for feed rate moves
+---------------------------------------------------
 
begin FEED_MOVE
 
"G1[X][Y]"
 
 
+---------------------------------------------------
+  Commands output for the first clockwise arc move
+---------------------------------------------------

+begin FIRST_CW_ARC_MOVE
+ M101 turns Output #1 ON

+"G2[X][Y][I][J][F]M101"
 
 
+---------------------------------------------------
+  Commands output for clockwise arc  move
+---------------------------------------------------
 
+begin CW_ARC_MOVE
 
+"G2[X][Y][I][J]"
 
 
+---------------------------------------------------
+  Commands output for the first counterclockwise arc move
+---------------------------------------------------
 
+begin FIRST_CCW_ARC_MOVE
+ M101 turns Output #1 ON
 
+"G3[X][Y][I][J][F]M101"
 
 
+---------------------------------------------------
+  Commands output for counterclockwise arc  move
+---------------------------------------------------
 
+begin CCW_ARC_MOVE
 
+"G3[X][Y][I][J]"
 
 
+ ---------------------------------------------------
+  Commands output for Retract Moves
+ ---------------------------------------------------
begin RETRACT_MOVE
+ M201 turns Output #1 OFF

"M201"
"G4 P0"

+---------------------------------------------------
+  Commands output at toolchange
+---------------------------------------------------

begin TOOLCHANGE

"[N]T[T]M6"
"[N] ([TOOLNAME])"
"[N]G43H[T]"

+---------------------------------------------------
+  Commands output at the end of the file
+---------------------------------------------------
 
begin FOOTER
+ M201 turns Output #1 OFF (Laser)
 "M201"
+ M204 turns Output #3 OFF (Vacume)
"M204"
+"G0[ZH]M30"
"G0[XH][YH]M30"